A modification for Rise of the Witch-king that enhances gameplay, improves and adds onto existing factions, and adds new ones.

Post tutorial Report RSS Installing Age of the Ring and Common Issues

A quick, step-by-step guide on how to get Age of the Ring working (if it doesn't already!).

Posted by on - Basic Installers

A step-by-step guide



To start off, the mod will only work on clean installation of RotWK (ie. not Forshire's editions).
Download BFME2 and RotWK from HERE. Installation instructions are included in the link.

Below is the basic installation order:

  1. Patch BFME2 to patch 1.06
  2. Patch RotWK to patch 2.01
  3. Test to make sure RotWK runs
  4. Install patch 2.02 - make sure to download the full version.
  5. Open the patch 2.02 launcher (found in RotWK's installation folder) and make sure it's enabled. Disable the timer and the 2.02 music options.
  6. Download the latest Age of the Ring version and run it. Either use the default path or choose another location. Do NOT install it into the RotWK installation folder nor over an existing version of Age of the Ring. IT WILL NOT WORK
  7. Run the Age of the Ring shortcut from your desktop and enjoy the mod.

Now, a lot of people have other patches and mods installed. To ensure patch 2.02 and AotR work with the various setups out there, read below:

  • Do you have BFME patch 1.09? Make sure to switch to 1.06.
  • Do you have Edain installed? Make sure to disable it from their launcher. If you have the unofficial Edain bugfix, make sure that's gone also.
  • Do you want to reenable Edain? You will need to switch the 2.02 game.dat out with the original game.dat that you have previously backed up and use the 2.02 switcher to switch back to 2.01. Ensure that in the 2.02 launcher, the Original Lobby Music is enabled and not the other tracks.

Using T3A:Online

  1. Visit the T3A:Online website's setup guide and read the tutorial (note: it's an image slideshow, so make sure to press next)
  2. After reading the above and installing the T3A:Online launcher, open it, go to Hook, and hook up RotWK. If the check doesn't appear, make sure you're running it as administrator.
  3. Open the AotR shortcut. It should now open with the T3A:Online launcher. Press RotWK, and the mod should start. If not, your hooking didn't work, and you need to run as administrator.
  4. Go into Multiplayer > Online and log in with your T3A:Online credentials. If the game tells you to update, press cancel, exit, and run the shortcut as administrator and in Windows XP SP3 compatibility mode.

Using Edain and AOTR at the same time

  1. Run the Patch 2.02 Switcher in the main ROTWK directory AS ADMINISTRATOR.
  2. Switch the patch from 2.02 to patch 2.01.
  3. Open the Edain launcher and enable Edain.
  4. Reverse the process to go back to Age of the Ring.

COMMON ISSUES

"When launching the mod and clicking Skirmish, the game crashes."

This is related to one of two things: first is Edain CaH. Go into Application Data (type in %appdata% in the Windows search bar) > My The Lord of the Rings, The Rise of the Witch-king Files > Saves and move out or delete all files ending in the .cah suffix. If that wasn't it, go back into My The Lord of the Rings, The Rise of the Witch-king Files and delete Skirmish.ini.

"When launching the mod, I get the following game crash: "ELVEN_SILVERTHORNARROWS_BUILDCOST"."

Disable and enable patch 2.02.

"When launching the mod, I get a game crash related to Upgrade_WildHeavyArmorNew."

Disable and enable patch 2.02.

"When launching the mod, I get a game crash related to MORDOR_WALLHUBS."

You don't have patch 1.09 disabled. Make sure to do so from their switcher.

"The installer isn't detecting that I have 2.02 v8 installed."

The installer may have trouble detecting you are on 2.02 v8 if you have multiple RotWK installation folders. We *do not* recommend having multiple. If you do, you may try installing 2.02 v8 for each of them.

Comments  (0 - 50 of 84)
Rothnaric
Rothnaric

Edain makes life difficult no? I hope this helps everyone who struggles with the installation process. you should try to figure out a way to install the mod with a few less steps... I think you guys will be able to, even if it ends up being a massive download size....

Reply Good karma Bad karma0 votes
MathijsRevora Author
MathijsRevora

I don't think we can do it in fewer steps. Provided people have a clean game, getting the patch and the mod installer is all there is to it - 2 steps. Most won't have a clean game though (because of other mods installing in a messy way) and sadly we can't prevent that.

Reply Good karma+1 vote
Rothnaric
Rothnaric

I get that.. but some mods have their own folder where the mod is installed, with required files, I think one of them was "ridder clan mod" not sure but their mod has a separate folder with the needed files... hey I dont know much about modding so please note that I might be extremely wrong hahaha, just check it out some time and see what I mean.

Reply Good karma Bad karma+1 vote
MathijsRevora Author
MathijsRevora

That's what our mod installer does.

Reply Good karma+1 vote
Finrod_(Felagund)
Finrod_(Felagund)

how do I run the shortcut as administrator and in Windows XP SP3 compatibility mode.

Reply Good karma Bad karma+1 vote
MathijsRevora Author
MathijsRevora

Try Google.

Reply Good karma+1 vote
Finrod_(Felagund)
Finrod_(Felagund)

I did but it still asks for an udate

Reply Good karma Bad karma+1 vote
sgtryan88
sgtryan88

Right click, Prop... Compatibility

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Someone90
Someone90

it works with 2.02 now it seems. So you can ignore that error.

Reply Good karma Bad karma+1 vote
Someone90
Someone90

Well I still got the mordor wallhub error. And BFME2 IS on patch 1.06, I checked it.

Reply Good karma Bad karma+1 vote
MathijsRevora Author
MathijsRevora

Mordor Walls are a feature of BFME2 patch 1.09. How are you checking this?

Reply Good karma+1 vote
Someone90
Someone90

as i reinstalled BFME2 I went into the game after I patched it to 1.06, to make sure I got it right. But it doesn't make sense, I haven't installed patch 1.09.

Reply Good karma Bad karma+1 vote
Someone90
Someone90

Evidence would suggest I have installed it though..

Reply Good karma Bad karma+1 vote
Someone90
Someone90

I switched to patch 1.06, and I still get the bug.

Reply Good karma Bad karma+1 vote
Someone90
Someone90

Did a reinstall, the result is still the same. Although I didn't install patch 1.09 this time. Seems I won't get to play the mod after all.

Reply Good karma Bad karma+1 vote
Gherrit
Gherrit

When is try to install it says i dont have the rotwk 2.02 patch, wich i do have and working

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

hvm97
hvm97

to install patch 2.02 v7 i need a clean game of rotwk with no edain mod installed?

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

ntouroutlis
ntouroutlis

I cant play online with t3aonline done all steps says couldn't connect. Please help!

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

jammy09
jammy09

can this work on bfme2 1.09? and rowk 2.02?

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

leetzelong
leetzelong

When I launch the mod, the load screens opens up, ..., and then simply disappears. Game refuses to go past this stage. No messages, nothing.

Reply Good karma Bad karma+2 votes
necrohunter15
necrohunter15

wait... is it possible to enable and disable the 2.02v7 patch?

Reply Good karma Bad karma+1 vote
felagund1534609575
felagund1534609575

Hello! I'm trying to run AOTR and Edain together. I have followed all your steps above: I'm on 1.06, patched to 2.01, and when running AOTR I disable Edain and switch to 2.02. I find, however, that something in the process messes with some game files - I just did a clean re-install of ROTWK and AOTR, and played AOTR fine, switched to Edain and played it fine. Switching back, however, resulted in some errors that made playing even vanilla ROTWK impossible. When I go to Edain, 740mb of the mod's files need to be redownloaded too.

My question: could switching between 2.02 and 2.01 before disabling Edain be the problem? Or are they simply not compatible for some other reason?

Any help would be greatly appreciated!!

Reply Good karma Bad karma+2 votes
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

beegnyss
beegnyss

i get an error relating to WOTR_RohanMusic MS when i try to revert to Edain and i have followed all the steps

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Tituspullo08
Tituspullo08

hello there, i have a crash problem since today!
when i have about 4000 command points and i wanna attack with my full army then at first the game goes slow (that's know and not a real issue) but since today the game also crashes and that is a ectual issue!
i hope you guys can help me out with this!

Reply Good karma Bad karma+1 vote
hippyall
hippyall

plz make a video of playing online + and switching from aotr and edain it shoulnt take more than 5 minutes

im stuck on it for 3 hours and no fix

plz help !!!! :(

Reply Good karma Bad karma+1 vote
hippyall
hippyall

Hi your instructions for having multi patch isnt working
can u recheck them ? and say if any other way possible to have multi patch ?
i checked the net and answer is 202 is not safe with many patches
ty

Reply Good karma Bad karma+1 vote
toybits710
toybits710

Guess what. Got Edain. followed the steps. now everytime i hit skirmish my game crashes

Reply Good karma Bad karma+2 votes
Forten
Forten

Having the same issue and the steps didn't fix for me either, look all throughout google for help, it just seem that having Edain mod and age of the ring are not really compatible together.

Reply Good karma Bad karma+1 vote
GRepsold
GRepsold

I have a constant crash when playing Skirmish. Out of Memory. It shows that the error is in the game.dat file. Any ideas on how to fix?

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

I have downloaded rotwk 2.02 patch and my bfme2 is patched to 1.06 and i have the latest age of the ring mod but it still comes up with game crash
ObjectFilter::resolveNames Specified -RohanEntOak but this template doesn't exist

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Guest
Guest

Greetings! I'm having an issue where it crashes when I load the mod that says cannot find RohanEntOak. I've updated both BfME2 and RotWK so I'm a bit confused

Reply Good karma Bad karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.

Follow Report Profile
Icon
Battle for Middle-earth II: Rise of the Witch King
Contact
Send Message
Release date
Mod watch
Follow
Tutorial
Browse
Tutorials
Report
Report
Share
Related Games
Related Groups
Age of the Ring Development Team
Age of the Ring Development Team Developer & Publisher